
h1 {
    font-weight: bolder;
    text-align: center;
    font-family: "Arial", sans-serif;
}

main{
    /*After implementing the slider, we switch to a flex based approach*/
    display: flex;

    /*Forcing the height on main does not work, so instead we will allow it to grow*/
    height: auto;
}

main > *{
    margin: .25em;

    /*Spacing of the sub elements*/
    flex: 50%;
}

#separator-slider{
    flex: 0 0 .4em;
    background-color: var(--unlocked-color);
    border: none;
    border-radius: 1em;
    cursor: col-resize;
    visibility: hidden;
}

/*For the header and the unlock button*/
#header-title{
    grid-template-columns: 1fr auto 1fr;
    display: grid;
    justify-content: center;
    align-content: center;
}

#lock-layout-button{
    padding: 0.5rem;
    font-size: 1.5rem;
    justify-self: right;
    align-self: center;
    height: fit-content;
}

.warning {
    /*https://una.im/color-mix-opacity/*/
    background-color: color-mix(in srgb, var(--warning-color), transparent 70%);
}


/*Changing color when unlocked*/
.unlocked{
    background-color: var(--unlocked-color);
    cursor: move;
}

img{
    max-width: 90%;
    max-height: 90%;
}

#time-slider-div{
    bottom: .25em;
    position: sticky;

    width: calc(100% - .5em);
    height: 7.5em;

    margin: .25em .25em .75em;
    padding: 1em;
    text-align: center;
    background-color: var(--group-A-background-color);
    border-radius: .5em;
    border: .2em solid var(--border-color);

    z-index: 100;
}

#time-slider{
    width: 100%;
}

#time-slider::-webkit-slider-runnable-track {
    width: 100%;
    background: var(--border-color);
}

#time-slider:focus::-webkit-slider-runnable-track {
    background: var(--group-A-active-color);
}

#time-slider::-moz-range-track {
    width: 100%;
    background: var(--border-color);
}

#time-slider:focus::-moz-range-track {
    background: var(--group-A-active-color);
}

.sliderticks {
    display: flex;
    justify-content: space-between;
    padding: 0 10px;
}

.sliderticks span {
    display: flex;
    justify-content: center;
    width: 1px;
    height: 10px;
    background: var(--text-on-background-color);
    line-height: 40px;
}


#dropdown-A:focus{
    background-color: var(--group-A-active-color);
}

#dropdown-A > option::selection::before{
   content: "A";
}

#dropdown-container:focus-within{
    position: sticky;
    top: 0.25em;
    z-index: 100;
    background: var(--group-A-background-color);
    border: var(--border-color) solid .2em;
    border-radius: .5em;
}